<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- STYLES -->

    <!-- TABLER -->
    <link rel="stylesheet" href="./src/css/tabler.css">

    <!-- FORM VALIDATION -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/formvalidation/0.6.2-dev/css/formValidation.min.css" integrity="sha512-B9GRVQaYJ7aMZO3WC2UvS9xds1D+gWQoNiXiZYRlqIVszL073pHXi0pxWxVycBk0fnacKIE3UHuWfSeETDCe7w==" crossorigin="anonymous" referrerpolicy="no-referrer" />

    <!-- FLATPICKR -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
    
    <!-- END OF STYLES -->

    <title>Form Validation</title>
</head>
<body>

    <header class="bg-primary p-1 mb-3">
        <h1 class="text-light ms-6">Form Validation</h1>
    </header>

    <div class="container">
        <div class="card">
            <div class="card-header">
                <h3 class="page-title">Form</h3>
            </div>
            <form action="#" id="testForm" method="POST" enctype="multipart/form-data">
                <div class="card-body">
                    <div class="form-group mb-3">
                        <label for="user-name" class="form-label">Name</label>
                        <input type="text" id="user-name" name="userName" class="form-control" placeholder="Please enter your name">
                    </div>

                    <div class="form-group mb-3">
                        <label for="user-email" class="form-label">Email</label>
                        <input type="email" id="user-email" name="userEmail" class="form-control" placeholder="Please enter your Email">
                    </div>

                    <div class="form-group mb-3">
                        <label for="user-phone" class="form-label">Phone</label>
                        <input type="text" id="user-phone" name="userPhone" class="form-control" placeholder="Please enter your Phone Number">
                    </div>

                    <div class="form-group mb-3">
                        <label for="user-date" class="form-label">Date</label>
                        <input id="user-date" name="userDate" type="date" class="form-control flatpickr-date" placeholder="Select Date">
                    </div>

                    <div class="form-group mb-3">
                        <label for="user-number" class="form-label">Enter Number</label>
                        <input id="user-number" name="userNumber" type="number" class="form-control" placeholder="Enter a number">
                    </div>

                    <div class="form-group">
                        <label for="user-file" class="form-label">Select File</label>
                        <input type="file" id="user-file" name="userExcel" class="form-control">
                    </div>
                </div>
                <div class="card-footer">
                    <input type="submit" value="Submit" class="btn btn-primary">
                </div>
            </form>
        </div>
    </div>
    
    <!-- SCRIPTS -->

    <!-- JQUERY -->
    <script src="./src/jquery/jquery.js"></script>

    <!-- FORM VALIDATION -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/formvalidation/0.6.2-dev/js/formValidation.min.js" integrity="sha512-DlXWqMPKer3hZZMFub5hMTfj9aMQTNDrf0P21WESBefJSwvJguz97HB007VuOEecCApSMf5SY7A7LkQwfGyVfg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/formvalidation/0.6.2-dev/js/framework/bootstrap.min.js" integrity="sha512-CwWsnPwntKMVNsVVCKIxPd4Ievk/YyAxt/yFNOLbs4JH3W6djpxYf2G50DtxLxFGHIbZxXeVDyjmTT8RCNp8DQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <!-- TABLER -->
    <script src="./src/js/tabler.min.js"></script>

    <!-- FLATPICKR -->
    <script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>

    <!-- Custom Scripts -->
    <script src="./src/js/custom/validation.js"></script>
    <script src="./src/js/custom/flatpickr.js"></script>
    <!-- END OF SCRIPTS -->
</body>
</html>
